Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp
Class FTPCommand

    java.lang.Object
      org.apache.commons.net.ftp.FTPCommand

    public final class FTPCommand

extends Object

FTPCommand stores a set of constants for FTP command codes. To interpret the meaning of the codes, familiarity with RFC 959 is assumed. The mnemonic constant names are transcriptions from the code descriptions of RFC 959. For those who think in terms of the actual FTP commands, a set of constants such as `USER` are provided where the constant name is the same as the FTP command.

Field Summary
`static int` | `ABOR`
`static int` | `ABORT`
`static int` | `ACCOUNT`
`static int` | `ACCT`
`static int` | `ALLO`
`static int` | `ALLOCATE`
`static int` | `APPE`
`static int` | `APPEND`
`static int` | `CDUP`
`static int` | `CHANGE_TO_PARENT_DIRECTORY`
`static int` | `CHANGE_WORKING_DIRECTORY`
`static int` | `CWD`
`static int` | `DATA_PORT`
`static int` | `DELE`
`static int` | `DELETE`
`static int` | `EPRT`
`static int` | `EPSV`
`static int` | `FEAT`
`static int` | `FEATURES`
`static int` | `FILE_STRUCTURE`
`static int` | `GET_MOD_TIME`
`static int` | `HELP`
`static int` | `LIST`
`static int` | `LOGOUT`
`static int` | `MAKE_DIRECTORY`
`static int` | `MDTM`
`static int` | `MFMT`
`static int` | `MKD`
`static int` | `MLSD` Machine parseable list for a directory
`static int` | `MLST` Machine parseable list for a single file
`static int` | `MOD_TIME`
`static int` | `MODE`
`static int` | `NAME_LIST`
`static int` | `NLST`
`static int` | `NOOP`
`static int` | `PASS`
`static int` | `PASSIVE`
`static int` | `PASSWORD`
`static int` | `PASV`
`static int` | `PORT`
`static int` | `PRINT_WORKING_DIRECTORY`
`static int` | `PWD`
`static int` | `QUIT`
`static int` | `REIN`
`static int` | `REINITIALIZE`
`static int` | `REMOVE_DIRECTORY`
`static int` | `RENAME_FROM`
`static int` | `RENAME_TO`
`static int` | `REPRESENTATION_TYPE`
`static int` | `REST`
`static int` | `RESTART`
`static int` | `RETR`
`static int` | `RETRIEVE`
`static int` | `RMD`
`static int` | `RNFR`
`static int` | `RNTO`
`static int` | `SET_MOD_TIME`
`static int` | `SITE`
`static int` | `SITE_PARAMETERS`
`static int` | `SMNT`
`static int` | `STAT`
`static int` | `STATUS`
`static int` | `STOR`
`static int` | `STORE`
`static int` | `STORE_UNIQUE`
`static int` | `STOU`
`static int` | `STRU`
`static int` | `STRUCTURE_MOUNT`
`static int` | `SYST`
`static int` | `SYSTEM`
`static int` | `TRANSFER_MODE`
`static int` | `TYPE`
`static int` | `USER`
`static int` | `USERNAME`

Method Summary
`static String` | `getCommand(int command)` Retrieve the FTP protocol command string corresponding to a specified command code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER

    public static final int USER

See Also:
  Constant Field Values

### PASS

    public static final int PASS

See Also:
  Constant Field Values

### ACCT

    public static final int ACCT

See Also:
  Constant Field Values

### CWD

    public static final int CWD

See Also:
  Constant Field Values

### CDUP

    public static final int CDUP

See Also:
  Constant Field Values

### SMNT

    public static final int SMNT

See Also:
  Constant Field Values

### REIN

    public static final int REIN

See Also:
  Constant Field Values

### QUIT

    public static final int QUIT

See Also:
  Constant Field Values

### PORT

    public static final int PORT

See Also:
  Constant Field Values

### PASV

    public static final int PASV

See Also:
  Constant Field Values

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

### STRU

    public static final int STRU

See Also:
  Constant Field Values

### MODE

    public static final int MODE

See Also:
  Constant Field Values

### RETR

    public static final int RETR

See Also:
  Constant Field Values

### STOR

    public static final int STOR

See Also:
  Constant Field Values

### STOU

    public static final int STOU

See Also:
  Constant Field Values

### APPE

    public static final int APPE

See Also:
  Constant Field Values

### ALLO

    public static final int ALLO

See Also:
  Constant Field Values

### REST

    public static final int REST

See Also:
  Constant Field Values

### RNFR

    public static final int RNFR

See Also:
  Constant Field Values

### RNTO

    public static final int RNTO

See Also:
  Constant Field Values

### ABOR

    public static final int ABOR

See Also:
  Constant Field Values

### DELE

    public static final int DELE

See Also:
  Constant Field Values

### RMD

    public static final int RMD

See Also:
  Constant Field Values

### MKD

    public static final int MKD

See Also:
  Constant Field Values

### PWD

    public static final int PWD

See Also:
  Constant Field Values

### LIST

    public static final int LIST

See Also:
  Constant Field Values

### NLST

    public static final int NLST

See Also:
  Constant Field Values

### SITE

    public static final int SITE

See Also:
  Constant Field Values

### SYST

    public static final int SYST

See Also:
  Constant Field Values

### STAT

    public static final int STAT

See Also:
  Constant Field Values

### HELP

    public static final int HELP

See Also:
  Constant Field Values

### NOOP

    public static final int NOOP

See Also:
  Constant Field Values

### MDTM

    public static final int MDTM

Since:
  2.0
See Also:
  Constant Field Values

### FEAT

    public static final int FEAT

Since:
  2.2
See Also:
  Constant Field Values

### MFMT

    public static final int MFMT

Since:
  2.2
See Also:
  Constant Field Values

### EPSV

    public static final int EPSV

Since:
  2.2
See Also:
  Constant Field Values

### EPRT

    public static final int EPRT

Since:
  2.2
See Also:
  Constant Field Values

### MLSD

    public static final int MLSD

  Machine parseable list for a directory

  Since:
    3.0
  See Also:
    Constant Field Values

### MLST

    public static final int MLST

  Machine parseable list for a single file

  Since:
    3.0
  See Also:
    Constant Field Values

### USERNAME

    public static final int USERNAME

See Also:
  Constant Field Values

### PASSWORD

    public static final int PASSWORD

See Also:
  Constant Field Values

### ACCOUNT

    public static final int ACCOUNT

See Also:
  Constant Field Values

### CHANGE_WORKING_DIRECTORY

    public static final int CHANGE_WORKING_DIRECTORY

See Also:
  Constant Field Values

### CHANGE_TO_PARENT_DIRECTORY

    public static final int CHANGE_TO_PARENT_DIRECTORY

See Also:
  Constant Field Values

### STRUCTURE_MOUNT

    public static final int STRUCTURE_MOUNT

See Also:
  Constant Field Values

### REINITIALIZE

    public static final int REINITIALIZE

See Also:
  Constant Field Values

### LOGOUT

    public static final int LOGOUT

See Also:
  Constant Field Values

### DATA_PORT

    public static final int DATA_PORT

See Also:
  Constant Field Values

### PASSIVE

    public static final int PASSIVE

See Also:
  Constant Field Values

### REPRESENTATION_TYPE

    public static final int REPRESENTATION_TYPE

See Also:
  Constant Field Values

### FILE_STRUCTURE

    public static final int FILE_STRUCTURE

See Also:
  Constant Field Values

### TRANSFER_MODE

    public static final int TRANSFER_MODE

See Also:
  Constant Field Values

### RETRIEVE

    public static final int RETRIEVE

See Also:
  Constant Field Values

### STORE

    public static final int STORE

See Also:
  Constant Field Values

### STORE_UNIQUE

    public static final int STORE_UNIQUE

See Also:
  Constant Field Values

### APPEND

    public static final int APPEND

See Also:
  Constant Field Values

### ALLOCATE

    public static final int ALLOCATE

See Also:
  Constant Field Values

### RESTART

    public static final int RESTART

See Also:
  Constant Field Values

### RENAME_FROM

    public static final int RENAME_FROM

See Also:
  Constant Field Values

### RENAME_TO

    public static final int RENAME_TO

See Also:
  Constant Field Values

### ABORT

    public static final int ABORT

See Also:
  Constant Field Values

### DELETE

    public static final int DELETE

See Also:
  Constant Field Values

### REMOVE_DIRECTORY

    public static final int REMOVE_DIRECTORY

See Also:
  Constant Field Values

### MAKE_DIRECTORY

    public static final int MAKE_DIRECTORY

See Also:
  Constant Field Values

### PRINT_WORKING_DIRECTORY

    public static final int PRINT_WORKING_DIRECTORY

See Also:
  Constant Field Values

### NAME_LIST

    public static final int NAME_LIST

See Also:
  Constant Field Values

### SITE_PARAMETERS

    public static final int SITE_PARAMETERS

See Also:
  Constant Field Values

### SYSTEM

    public static final int SYSTEM

See Also:
  Constant Field Values

### STATUS

    public static final int STATUS

See Also:
  Constant Field Values

### MOD_TIME

    public static final int MOD_TIME

Since:
  2.0
See Also:
  Constant Field Values

### FEATURES

    public static final int FEATURES

Since:
  2.2
See Also:
  Constant Field Values

### GET_MOD_TIME

    public static final int GET_MOD_TIME

Since:
  2.2
See Also:
  Constant Field Values

### SET_MOD_TIME

    public static final int SET_MOD_TIME

Since:
  2.2
See Also:
  Constant Field Values

Method Detail

### getCommand

    public static final String getCommand(int command)

  Retrieve the FTP protocol command string corresponding to a specified command code.

  Parameters:
    `command` - The command code.
  Returns:
    The FTP protcol command string corresponding to a specified command code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.